> ## Documentation Index
> Fetch the complete documentation index at: https://docs.16tms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get FFA Assigned Details

> Fetch assigned details for FFA tournaments, including assigned groups for rounds.



## OpenAPI

````yaml /api-reference/assigned-data/openapi.json get /tournaments/{tournamentId}/ffa/assigned-details
openapi: 3.0.0
info:
  title: Assigned Rounds
  version: 1.0.0
  description: API endpoints for accessing assigned rounds
servers:
  - url: https://api.16tms.com/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /tournaments/{tournamentId}/ffa/assigned-details:
    get:
      summary: Get FFA Assigned Details
      description: >-
        Fetch assigned details for FFA tournaments, including assigned groups
        for rounds.
      operationId: getFfaAssignedDetails
      parameters:
        - name: tournamentId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier of the tournament
        - name: externalId
          in: query
          required: true
          schema:
            type: string
          description: External ID of the user.
      responses:
        '200':
          description: Assigned tournament details fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAssignedDetailsResponse'
              example:
                success: true
                message: Assigned tournament details fetched successfully
                data:
                  rounds:
                    - id: 44accbab-48f7-4fe0-8085-df45903863a8
                      tournamentId: 788f9b9d-1aec-4dec-b2fc-d585a6ef149f
                      roundName: Round 1 (Normal)
                      description: ''
                      teamCount: 4
                      matchesPerGroup: 2
                      startDate: '2026-02-10T07:49:51.364271Z'
                      endDate: '2026-02-11T07:49:51.364271Z'
                      roundType: 1
                      status: 4
                      roundNumber: 1
                      numberOfGroups: 0
                      numberOfMatches: 4
                      assignedGroups:
                        - id: 61e28f2f-367a-4cfc-8488-3a3aa4e4e04e
                          tournamentRoundId: 44accbab-48f7-4fe0-8085-df45903863a8
                          groupName: Group 2
                          maxParticipants: 2
                          groupVersion: 1
                meta:
                  traceId: 00-a1cfa6f179adc0916b0cdf83f16b02a6-7fe2112fc6f5fba9-00
                  elapsedMs: 55.8
                  serverTimestamp: '2026-02-17T12:17:29.1198079Z'
components:
  schemas:
    GetAssignedDetailsResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            rounds:
              type: array
              items:
                $ref: '#/components/schemas/AssignedRoundDetails'
        meta:
          $ref: '#/components/schemas/Meta'
    AssignedRoundDetails:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tournamentId:
          type: string
          format: uuid
        roundName:
          type: string
        description:
          type: string
        teamCount:
          type: integer
        matchesPerGroup:
          type: integer
        startDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
        roundType:
          type: integer
        status:
          type: integer
        roundNumber:
          type: integer
        numberOfGroups:
          type: integer
        numberOfMatches:
          type: integer
        assignedGroups:
          type: array
          items:
            $ref: '#/components/schemas/AssignedGroup'
    Meta:
      type: object
      properties:
        traceId:
          type: string
          example: 00-eafdb3435de2eb96fa8f21b4426e6706-320a36e766afe193-00
        elapsedMs:
          type: number
          example: 46.56
        serverTimestamp:
          type: string
          format: date-time
          example: '2026-02-17T11:15:10.8986462Z'
    AssignedGroup:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tournamentRoundId:
          type: string
          format: uuid
        groupName:
          type: string
        maxParticipants:
          type: integer
        groupVersion:
          type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````